import { AdaptableStyle } from '../../AdaptableState/Common/AdaptableStyle';
import { ApiBase } from './ApiBase';
import { FormatColumnApi } from '../FormatColumnApi';
import { FormatColumn, FormatColumnState } from '../../AdaptableState/FormatColumnState';
import { AdaptableColumn } from '../../AdaptableState/Common/AdaptableColumn';
import { AdaptableFormat } from '../../types';
import { AdaptableObjectLookupCriteria, FormatColumnConfig } from '../../../types';
import { FormatColumnInternalApi } from '../Internal/FormatColumnInternalApi';
import { IAdaptable } from '../../AdaptableInterfaces/IAdaptable';
export declare class FormatColumnApiImpl extends ApiBase implements FormatColumnApi {
    internalApi: FormatColumnInternalApi;
    constructor(_adaptable: IAdaptable);
    getFormatColumnState(): FormatColumnState;
    getFormatColumns(config?: FormatColumnConfig): FormatColumn[];
    getFormatColumnByUuId(id: FormatColumn['Uuid'], config?: FormatColumnConfig): FormatColumn;
    getActiveFormatColumns(config?: FormatColumnConfig): FormatColumn[];
    getDisplayFormatForColumn(column: AdaptableColumn, config?: FormatColumnConfig): AdaptableFormat | undefined;
    getSuspendedFormatColumns(config?: FormatColumnConfig): FormatColumn[];
    addFormatColumn(formatColumn: FormatColumn): FormatColumn;
    addFormatColumns(formatColumns: FormatColumn[]): FormatColumn[];
    editFormatColumn(formatColumn: FormatColumn): FormatColumn;
    addFormatColumnStyle(formatColumn: FormatColumn, style: AdaptableStyle): void;
    updateFormatColumnStyle(formatColumn: FormatColumn, style: AdaptableStyle): void;
    deleteFormatColumn(formatColumn: FormatColumn): void;
    deleteAllFormatColumns(): void;
    suspendFormatColumn(formatColumn: FormatColumn): FormatColumn;
    unSuspendFormatColumn(formatColumn: FormatColumn): FormatColumn;
    suspendAllFormatColumn(): void;
    unSuspendAllFormatColumn(): void;
    getFormatColumnsForColumn(column: AdaptableColumn, config?: FormatColumnConfig): FormatColumn[];
    getFormatColumnsForColumnId(columnId: string, config?: FormatColumnConfig): FormatColumn[];
    openFormatColumnSettingsPanel(): void;
    getFormatColumnsWithAllScope(formatColumns: FormatColumn[]): FormatColumn[] | undefined;
    getFormatColumnsWithDataTypeScope(formatColumns: FormatColumn[]): FormatColumn[] | undefined;
    getFormatColumnsWithColumnScope(formatColumns: FormatColumn[]): FormatColumn[] | undefined;
    hasCustomDisplayFormatter(formatColumn: FormatColumn): boolean;
    incrementFormatColumnPrecedence(formatColumn: FormatColumn): void;
    decrementFormatColumnPrecedence(formatColumn: FormatColumn): void;
    findFormatColumns(criteria: AdaptableObjectLookupCriteria): FormatColumn[];
}
